ForwardMeasureProcess1D Class Reference
Stochastic processes

forward-measure 1-D stochastic process More...

`#include <ql/processes/forwardmeasureprocess.hpp>`

Inheritance diagram for ForwardMeasureProcess1D:
[legend]

## Public Member Functions

virtual void | setForwardMeasureTime (Time)
Time | getForwardMeasureTime () const
Public Member Functions inherited from StochasticProcess1D
virtual Real | x0 () const =0
| returns the initial value of the state variable
virtual Real | drift (Time t, Real x) const =0
| returns the drift part of the equation, i.e. \( \mu(t, x_t) \)
virtual Real | diffusion (Time t, Real x) const =0
| returns the diffusion part of the equation, i.e. \( \sigma(t, x_t) \)
virtual Real | expectation (Time t0, Real x0, Time dt) const
virtual Real | stdDeviation (Time t0, Real x0, Time dt) const
virtual Real | variance (Time t0, Real x0, Time dt) const
virtual Real | evolve (Time t0, Real x0, Time dt, Real dw) const
virtual Real | apply (Real x0, Real dx) const
Public Member Functions inherited from StochasticProcess
virtual Size | factors () const
| returns the number of independent factors of the process
virtual Time | time (const Date &) const
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

| ForwardMeasureProcess1D (Time T)
| ForwardMeasureProcess1D (const ext::shared_ptr< discretization > &)
Protected Member Functions inherited from StochasticProcess1D
| StochasticProcess1D ()
| StochasticProcess1D (const ext::shared_ptr< discretization > &)
Protected Member Functions inherited from StochasticProcess
| StochasticProcess ()
| StochasticProcess (const ext::shared_ptr< discretization > &)

## Protected Attributes

Time | T_
Protected Attributes inherited from StochasticProcess1D
ext::shared_ptr< discretization > | discretization_
Protected Attributes inherited from StochasticProcess
ext::shared_ptr< discretization > | discretization_

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

forward-measure 1-D stochastic process

1-D stochastic process whose dynamics are expressed in the forward measure.